Open App

Categories

API endpoints for categories

listCategories

GET /api/v1/categories

Example request

curl -X GET \
"https://api.example.com/api/v1/categories" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


createCategory

POST /api/v1/categories

Example request

curl -X POST \
"https://api.example.com/api/v1/categories" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


getCategory

GET /api/v1/categories/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X GET \
"https://api.example.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


updateCategory

PATCH /api/v1/categories/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X PATCH \
"https://api.example.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


deleteCategory

DELETE /api/v1/categories/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X DELETE \
"https://api.example.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type